Scriptname REQ_ArrowWeight extends REQ_PlayerAlias  
{simulate weight for ammunition}

;LEGACY CLEANUP: remove no longer needed arrays in next major release

Ammo[] Property AmmoLight Auto
{list of all light arrows/bolts}
Ammo[] Property AmmoMedium Auto
{list of all medium arrows/bolts}
Ammo[] Property AmmoHeavy Auto
{list of all heavy arrows/bolts}
Ammo[] Property AmmoMassive Auto
{list of all massive arrows/bolts}
Ammo[] Property AmmoException Auto
{list of all weightless arrows/bolts}

Keyword Property AmmoKW_Light Auto
{keyword for all ammunition objects that are considered light}
Keyword Property AmmoKW_Medium Auto
{keyword for all ammunition objects that are considered medium}
Keyword Property AmmoKW_Heavy Auto
{keyword for all ammunition objects that are considered heavy}
Keyword Property AmmoKW_Massive Auto
{keyword for all ammunition objects that are considered massive}
Keyword Property AmmoKW_None Auto
{keyword for all ammunition objects that are considered as weightless}

Weapon[] Property Dummies  Auto  
{dummy items for light/medium/heavy/massive ammo objects}

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	Ammo added = akBaseItem as Ammo
	If added != None
		If added.HasKeyword(AmmoKW_Light)
			Player.Additem(Dummies[0], aiItemCount, true)
		ElseIf added.HasKeyword(AmmoKW_Medium)
			Player.Additem(Dummies[1], aiItemCount, true)
		ElseIf added.HasKeyword(AmmoKW_Heavy)
			Player.Additem(Dummies[2], aiItemCount, true)
		ElseIf added.HasKeyword(AmmoKW_Massive)
			Player.Additem(Dummies[3], aiItemCount, true)
		ElseIf !added.HasKeyword(AmmoKW_None)
			Player.Additem(Dummies[1], aiItemCount, true)
		EndIf
	EndIf
EndEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	Ammo added = akBaseItem as Ammo
	If (added != None)
		If added.HasKeyword(AmmoKW_Light)
			Player.RemoveItem(Dummies[0], aiItemCount, true)
		ElseIf added.HasKeyword(AmmoKW_Medium)
			Player.RemoveItem(Dummies[1], aiItemCount, true)
		ElseIf added.HasKeyword(AmmoKW_Heavy)
			Player.RemoveItem(Dummies[2], aiItemCount, true)
		ElseIf added.HasKeyword(AmmoKW_Massive)
			Player.RemoveItem(Dummies[3], aiItemCount, true)
		ElseIf !added.HasKeyword(AmmoKW_None)
			Player.RemoveItem(Dummies[1], aiItemCount, true)
		EndIf
	EndIf
EndEvent

Event ScriptInit(string eventName, string strArg, float numArg, Form sender)
	Int count = 0
	Int[] Toadd = New Int[4]
	While ( count < 4 )
		toadd[count] = 0
		count += 1
	EndWhile
	Ammo object = None
	Player.RemoveItem(Dummies[0], Player.GetItemCount(Dummies[0]), true)
	Player.RemoveItem(Dummies[1], Player.GetItemCount(Dummies[1]), true)
	Player.RemoveItem(Dummies[2], Player.GetItemCount(Dummies[2]), true)
	Player.RemoveItem(Dummies[3], Player.GetItemCount(Dummies[3]), true)
	count = Player.GetNumItems()
	While ( count > 0 )
		count -= 1
		object = Player.GetNthForm(count) as Ammo
		If (object != None)
			If object.HasKeyword(AmmoKW_Light)
				Toadd[0] = Toadd[0] + Player.GetItemCount(object)
			ElseIf object.HasKeyword(AmmoKW_Medium)
				Toadd[1] = Toadd[1] + Player.GetItemCount(object)
			ElseIf object.HasKeyword(AmmoKW_Heavy)
				Toadd[2] = Toadd[2] + Player.GetItemCount(object)
			ElseIf object.HasKeyword(AmmoKW_Massive)
				Toadd[3] = Toadd[3] + Player.GetItemCount(object)
			ElseIf !object.HasKeyword(AmmoKW_None)
				Toadd[1] = Toadd[1] + Player.GetItemCount(object)
			EndIf
		EndIf
	EndWhile
	Player.Additem(Dummies[0], Toadd[0], true)
	Player.Additem(Dummies[1], Toadd[1], true)
	Player.Additem(Dummies[2], Toadd[2], true)
	Player.Additem(Dummies[3], Toadd[3], true)
	REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
	Int index = UpdateControl.Scripts.find(self)
	UpdateControl.ShutdownReady[index] = False
EndEvent

Event ScriptShutDown(string eventName, string strArg, float numArg, Form sender)
	Player.RemoveItem(Dummies[0], Player.GetItemCount(Dummies[0]), true)
	Player.RemoveItem(Dummies[1], Player.GetItemCount(Dummies[1]), true)
	Player.RemoveItem(Dummies[2], Player.GetItemCount(Dummies[2]), true)
	Player.RemoveItem(Dummies[3], Player.GetItemCount(Dummies[3]), true)
	REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
	Int index = UpdateControl.Scripts.find(self)
	UpdateControl.ShutdownReady[index] = True
EndEvent
