Scriptname REQ_DualScaling extends REQ_PlayerAlias
{modify dual casting settings on the fly to adjust new Illusion spells}

Float[] Property CostMod_Empower Auto
{dualcast cost modificator for illusion spells}
Float Property PowerMod_Empower Auto
{dualcast power modificator for illusion spells}
Perk[] Property Perks_Novice Auto
Perk[] Property Perks_Apprentice Auto
Perk[] Property Perks_Adept Auto
Perk[] Property Perks_Expert Auto
Perk[] Property Perks_Master Auto

GlobalVariable Property CostMod_Normal Auto
{debug storage for dualcast cost modificator for other spells}
GlobalVariable Property PowerMod_Normal Auto
{debug storage for dualcast power modificator for other spells}

Perk[] Property IllusionPerks Auto

String GS_cost = "fMagicDualCastingCostMult"
String GS_power = "fMagicDualCastingEffectivenessBase"

Event ScriptInit(string eventName, string strArg, float numArg, Form sender)
	CostMod_Normal.SetValue(Game.GetGameSettingFloat(GS_cost))
	PowerMod_Normal.SetValue(Game.GetGameSettingFloat(GS_power))
	REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
	Int index = UpdateControl.Scripts.find(self)
	UpdateControl.ShutdownReady[index] = False
EndEvent

Event ScriptShutDown(string eventName, string strArg, float numArg, Form sender)
	Game.SetGameSettingFloat(GS_cost, CostMod_Normal.GetValue())
	Game.SetGameSettingFloat(GS_power, PowerMod_Normal.GetValue())
	REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
	Int index = UpdateControl.Scripts.find(self)
	UpdateControl.ShutdownReady[index] = True
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	If (akBaseObject as Spell)
		PERK casting = (akBaseObject as Spell).GetPerk()
		int index = -1
		If Perks_Novice.find(casting) >= 0
			index = 0
		Elseif Perks_Apprentice.find(casting) >= 0
			index = 1
		Elseif Perks_Adept.find(casting) >= 0
			index = 2
		Elseif Perks_Expert.find(casting) >= 0
			index = 3
		Elseif Perks_Master.find(casting) >= 0
			index = 4
		Else
			Game.SetGameSettingFloat(GS_cost, CostMod_Normal.GetValue())
			Game.SetGameSettingFloat(GS_power, PowerMod_Normal.GetValue())
			Return
		EndIf
		Game.SetGameSettingFloat(GS_cost, CostMod_Empower[index])
		Game.SetGameSettingFloat(GS_power, PowerMod_Empower)
	EndIf
EndEvent

Event OnPlayerLoadGame()
	OnObjectEquipped(Player.GetEquippedSpell(0), Player)
	OnObjectEquipped(Player.GetEquippedSpell(1), Player)
EndEvent
