scriptname REQ_MCM extends SKI_ConfigBase

REQ_MCM_DataStorage Property data Auto

State fBowNPCSpreadAngle

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fBowNPCSpreadAngle") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fBowNPCSpreadAngle") / 1.0)
        SetSliderDialogRange(0.0, 10.0)
        SetSliderDialogInterval(0.25)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fBowNPCSpreadAngle = (value * 1.0) as float
        Game.SetGameSettingfloat("fBowNPCSpreadAngle", data.fBowNPCSpreadAngle)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fBowNPCSpreadAngle") / 1.0,"$REQ_fBowNPCSpreadAngle_slider")
    EndEvent

    Event OnDefaultST()
        data.fBowNPCSpreadAngle = 4.25 as float
        Game.SetGameSettingfloat("fBowNPCSpreadAngle", data.fBowNPCSpreadAngle)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fBowNPCSpreadAngle") / 1.0,"$REQ_fBowNPCSpreadAngle_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fBowNPCSpreadAngle_highlight")
    EndEvent

EndState

State REQ_Combat_ArrowWeight

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Combat_ArrowWeight.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.REQ_Combat_ArrowWeight.GetValue() / 1.0)
        SetSliderDialogRange(0.0, 5.0)
        SetSliderDialogInterval(0.1)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.REQ_Combat_ArrowWeight.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.REQ_Combat_ArrowWeight.GetValue() / 1.0,"$REQ_REQ_Combat_ArrowWeight_slider")
    data.REQ_ArrowWeightDummy_light.SetWeight(0.1 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_medium.SetWeight(0.2 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_heavy.SetWeight(0.3 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_massive.SetWeight(0.5 * data.REQ_Combat_ArrowWeight.GetValue())
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_ArrowWeight.SetValue( 1.0)
        SetSliderOptionValueST(data.REQ_Combat_ArrowWeight.GetValue() / 1.0, "$REQ_REQ_Combat_ArrowWeight_slider")
    data.REQ_ArrowWeightDummy_light.SetWeight(0.1 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_medium.SetWeight(0.2 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_heavy.SetWeight(0.3 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_massive.SetWeight(0.5 * data.REQ_Combat_ArrowWeight.GetValue())
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_ArrowWeight_highlight")
    EndEvent

EndState

State iAVDhmsLevelUp

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingint("iAVDhmsLevelUp") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingint("iAVDhmsLevelUp") / 1.0)
        SetSliderDialogRange(0.0, 10.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.iAVDhmsLevelUp = (value * 1.0) as int
        Game.SetGameSettingint("iAVDhmsLevelUp", data.iAVDhmsLevelUp)
        SetSliderOptionValueST(Game.GetGameSettingint("iAVDhmsLevelUp") / 1.0,"$REQ_iAVDhmsLevelUp_slider")
    EndEvent

    Event OnDefaultST()
        data.iAVDhmsLevelUp = 5.0 as int
        Game.SetGameSettingint("iAVDhmsLevelUp", data.iAVDhmsLevelUp)
        SetSliderOptionValueST(Game.GetGameSettingint("iAVDhmsLevelUp") / 1.0,"$REQ_iAVDhmsLevelUp_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_iAVDhmsLevelUp_highlight")
    EndEvent

EndState

State REQ_Skills_CWModificator

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Skills_CWModificator.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.REQ_Skills_CWModificator.GetValue() / 1.0)
        SetSliderDialogRange(-100.0, 1000.0)
        SetSliderDialogInterval(5.0)
    EndEvent

    Event OnSliderAcceptST(float value)
    data.player.ModAV("CarryWeight", -data.REQ_Skills_CWModificator.GetValue() )
        data.REQ_Skills_CWModificator.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.REQ_Skills_CWModificator.GetValue() / 1.0,"$REQ_REQ_Skills_CWModificator_slider")
    data.player.ModAV("CarryWeight", data.REQ_Skills_CWModificator.GetValue() )
    EndEvent

    Event OnDefaultST()
    data.player.ModAV("CarryWeight", -data.REQ_Skills_CWModificator.GetValue() )
        data.REQ_Skills_CWModificator.SetValue( 0.0)
        SetSliderOptionValueST(data.REQ_Skills_CWModificator.GetValue() / 1.0, "$REQ_REQ_Skills_CWModificator_slider")
    data.player.ModAV("CarryWeight", data.REQ_Skills_CWModificator.GetValue() )
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_CWModificator_highlight")
    EndEvent

EndState

State iHoursToRespawnCell

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingint("iHoursToRespawnCell") / 24.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingint("iHoursToRespawnCell") / 24.0)
        SetSliderDialogRange(10.0, 365.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.iHoursToRespawnCell = (value * 24.0) as int
        Game.SetGameSettingint("iHoursToRespawnCell", data.iHoursToRespawnCell)
        SetSliderOptionValueST(Game.GetGameSettingint("iHoursToRespawnCell") / 24.0,"$REQ_iHoursToRespawnCell_slider")
    EndEvent

    Event OnDefaultST()
        data.iHoursToRespawnCell = 720.0 as int
        Game.SetGameSettingint("iHoursToRespawnCell", data.iHoursToRespawnCell)
        SetSliderOptionValueST(Game.GetGameSettingint("iHoursToRespawnCell") / 24.0,"$REQ_iHoursToRespawnCell_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_iHoursToRespawnCell_highlight")
    EndEvent

EndState

State iHoursToRespawnCellCleared

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingint("iHoursToRespawnCellCleared") / 24.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingint("iHoursToRespawnCellCleared") / 24.0)
        SetSliderDialogRange(10.0, 365.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.iHoursToRespawnCellCleared = (value * 24.0) as int
        Game.SetGameSettingint("iHoursToRespawnCellCleared", data.iHoursToRespawnCellCleared)
        SetSliderOptionValueST(Game.GetGameSettingint("iHoursToRespawnCellCleared") / 24.0,"$REQ_iHoursToRespawnCellCleared_slider")
    EndEvent

    Event OnDefaultST()
        data.iHoursToRespawnCellCleared = 7200.0 as int
        Game.SetGameSettingint("iHoursToRespawnCellCleared", data.iHoursToRespawnCellCleared)
        SetSliderOptionValueST(Game.GetGameSettingint("iHoursToRespawnCellCleared") / 24.0,"$REQ_iHoursToRespawnCellCleared_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_iHoursToRespawnCellCleared_highlight")
    EndEvent

EndState

State fLevelUpCarryWeightMod

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fLevelUpCarryWeightMod") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fLevelUpCarryWeightMod") / 1.0)
        SetSliderDialogRange(0.0, 5.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fLevelUpCarryWeightMod = (value * 1.0) as float
        Game.SetGameSettingfloat("fLevelUpCarryWeightMod", data.fLevelUpCarryWeightMod)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fLevelUpCarryWeightMod") / 1.0,"$REQ_fLevelUpCarryWeightMod_slider")
    EndEvent

    Event OnDefaultST()
        data.fLevelUpCarryWeightMod = 0.0 as float
        Game.SetGameSettingfloat("fLevelUpCarryWeightMod", data.fLevelUpCarryWeightMod)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fLevelUpCarryWeightMod") / 1.0,"$REQ_fLevelUpCarryWeightMod_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fLevelUpCarryWeightMod_highlight")
    EndEvent

EndState

State fPlayerDeathReloadTime

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fPlayerDeathReloadTime") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fPlayerDeathReloadTime") / 1.0)
        SetSliderDialogRange(0.0, 10.0)
        SetSliderDialogInterval(0.2)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fPlayerDeathReloadTime = (value * 1.0) as float
        Game.SetGameSettingfloat("fPlayerDeathReloadTime", data.fPlayerDeathReloadTime)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fPlayerDeathReloadTime") / 1.0,"$REQ_fPlayerDeathReloadTime_slider")
    EndEvent

    Event OnDefaultST()
        data.fPlayerDeathReloadTime = 0.2 as float
        Game.SetGameSettingfloat("fPlayerDeathReloadTime", data.fPlayerDeathReloadTime)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fPlayerDeathReloadTime") / 1.0,"$REQ_fPlayerDeathReloadTime_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fPlayerDeathReloadTime_highlight")
    EndEvent

EndState

State fDiffMultHPByPCL

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fDiffMultHPByPCL") / 0.01)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fDiffMultHPByPCL") / 0.01)
        SetSliderDialogRange(10.0, 400.0)
        SetSliderDialogInterval(5.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fDiffMultHPByPCL = (value * 0.01) as float
        Game.SetGameSettingfloat("fDiffMultHPByPCL", data.fDiffMultHPByPCL)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fDiffMultHPByPCL") / 0.01,"$REQ_fDiffMultHPByPCL_slider")
    Game.SetGameSettingFloat("fDiffMultHPByPCVE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCN", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCVH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    EndEvent

    Event OnDefaultST()
        data.fDiffMultHPByPCL = 1.0 as float
        Game.SetGameSettingfloat("fDiffMultHPByPCL", data.fDiffMultHPByPCL)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fDiffMultHPByPCL") / 0.01,"$REQ_fDiffMultHPByPCL_slider")
    Game.SetGameSettingFloat("fDiffMultHPByPCVE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCN", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCVH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fDiffMultHPByPCL_highlight")
    EndEvent

EndState

State fDiffMultHPToPCL

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fDiffMultHPToPCL") / 0.01)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fDiffMultHPToPCL") / 0.01)
        SetSliderDialogRange(10.0, 400.0)
        SetSliderDialogInterval(5.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fDiffMultHPToPCL = (value * 0.01) as float
        Game.SetGameSettingfloat("fDiffMultHPToPCL", data.fDiffMultHPToPCL)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fDiffMultHPToPCL") / 0.01,"$REQ_fDiffMultHPToPCL_slider")
    Game.SetGameSettingFloat("fDiffMultHPToPCVE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCN", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCVH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    EndEvent

    Event OnDefaultST()
        data.fDiffMultHPToPCL = 1.0 as float
        Game.SetGameSettingfloat("fDiffMultHPToPCL", data.fDiffMultHPToPCL)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fDiffMultHPToPCL") / 0.01,"$REQ_fDiffMultHPToPCL_slider")
    Game.SetGameSettingFloat("fDiffMultHPToPCVE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCN", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCVH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fDiffMultHPToPCL_highlight")
    EndEvent

EndState

State WIWaitDragon

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.WIWaitDragon.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.WIWaitDragon.GetValue() / 1.0)
        SetSliderDialogRange(1.0, 28.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.WIWaitDragon.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.WIWaitDragon.GetValue() / 1.0,"$REQ_WIWaitDragon_slider")
    EndEvent

    Event OnDefaultST()
        data.WIWaitDragon.SetValue( 12.0)
        SetSliderOptionValueST(data.WIWaitDragon.GetValue() / 1.0, "$REQ_WIWaitDragon_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_WIWaitDragon_highlight")
    EndEvent

EndState

State REQ_Magic_EnchantmentPowerFactor

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.0)
        SetSliderDialogRange(33.3, 99.9)
        SetSliderDialogInterval(33.3)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.REQ_Magic_EnchantmentPowerFactor.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.0,"$REQ_REQ_Magic_EnchantmentPowerFactor_slider")
    EndEvent

    Event OnDefaultST()
        data.REQ_Magic_EnchantmentPowerFactor.SetValue( 99.9)
        SetSliderOptionValueST(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.0, "$REQ_REQ_Magic_EnchantmentPowerFactor_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_EnchantmentPowerFactor_highlight")
    EndEvent

EndState

State REQ_Atmosphere_GoldWeight

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.0)
        SetSliderDialogRange(0.0, 0.05)
        SetSliderDialogInterval(0.01)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.REQ_Atmosphere_GoldWeight.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.0,"$REQ_REQ_Atmosphere_GoldWeight_slider")
    data.Gold001.SetWeight(data.REQ_Atmosphere_GoldWeight.GetValue())
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_GoldWeight.SetValue( 0.01)
        SetSliderOptionValueST(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.0, "$REQ_REQ_Atmosphere_GoldWeight_slider")
    data.Gold001.SetWeight(data.REQ_Atmosphere_GoldWeight.GetValue())
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_GoldWeight_highlight")
    EndEvent

EndState

State fPlayerHealthHeartbeatSlow

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fPlayerHealthHeartbeatSlow") / 0.01)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fPlayerHealthHeartbeatSlow") / 0.01)
        SetSliderDialogRange(0.0, 75.0)
        SetSliderDialogInterval(5.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fPlayerHealthHeartbeatSlow = (value * 0.01) as float
        Game.SetGameSettingfloat("fPlayerHealthHeartbeatSlow", data.fPlayerHealthHeartbeatSlow)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fPlayerHealthHeartbeatSlow") / 0.01,"$REQ_fPlayerHealthHeartbeatSlow_slider")
    Game.SetGameSettingFloat("fPlayerHealthHeartbeatFast",Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow") / 2.0)
    EndEvent

    Event OnDefaultST()
        data.fPlayerHealthHeartbeatSlow = 0.5 as float
        Game.SetGameSettingfloat("fPlayerHealthHeartbeatSlow", data.fPlayerHealthHeartbeatSlow)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fPlayerHealthHeartbeatSlow") / 0.01,"$REQ_fPlayerHealthHeartbeatSlow_slider")
    Game.SetGameSettingFloat("fPlayerHealthHeartbeatFast",Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow") / 2.0)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fPlayerHealthHeartbeatSlow_highlight")
    EndEvent

EndState

State fJumpHeightMin

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fJumpHeightMin") / 0.76)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fJumpHeightMin") / 0.76)
        SetSliderDialogRange(50.0, 300.0)
        SetSliderDialogInterval(25.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fJumpHeightMin = (value * 0.76) as float
        Game.SetGameSettingfloat("fJumpHeightMin", data.fJumpHeightMin)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fJumpHeightMin") / 0.76,"$REQ_fJumpHeightMin_slider")
    EndEvent

    Event OnDefaultST()
        data.fJumpHeightMin = 76.0 as float
        Game.SetGameSettingfloat("fJumpHeightMin", data.fJumpHeightMin)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fJumpHeightMin") / 0.76,"$REQ_fJumpHeightMin_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fJumpHeightMin_highlight")
    EndEvent

EndState

State fPlayerMaxResistance

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fPlayerMaxResistance") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fPlayerMaxResistance") / 1.0)
        SetSliderDialogRange(50.0, 95.0)
        SetSliderDialogInterval(5.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fPlayerMaxResistance = (value * 1.0) as float
        Game.SetGameSettingfloat("fPlayerMaxResistance", data.fPlayerMaxResistance)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fPlayerMaxResistance") / 1.0,"$REQ_fPlayerMaxResistance_slider")
    EndEvent

    Event OnDefaultST()
        data.fPlayerMaxResistance = 90.0 as float
        Game.SetGameSettingfloat("fPlayerMaxResistance", data.fPlayerMaxResistance)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fPlayerMaxResistance") / 1.0,"$REQ_fPlayerMaxResistance_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fPlayerMaxResistance_highlight")
    EndEvent

EndState

State REQ_Magic_PotionPowerFactor

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.0)
        SetSliderDialogRange(33.3, 99.9)
        SetSliderDialogInterval(33.3)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.REQ_Magic_PotionPowerFactor.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.0,"$REQ_REQ_Magic_PotionPowerFactor_slider")
    EndEvent

    Event OnDefaultST()
        data.REQ_Magic_PotionPowerFactor.SetValue( 99.9)
        SetSliderOptionValueST(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.0, "$REQ_REQ_Magic_PotionPowerFactor_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_PotionPowerFactor_highlight")
    EndEvent

EndState

State REQ_Skills_RateFactor

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Skills_RateFactor.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.REQ_Skills_RateFactor.GetValue() / 1.0)
        SetSliderDialogRange(50.0, 100.0)
        SetSliderDialogInterval(25.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.REQ_Skills_RateFactor.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.REQ_Skills_RateFactor.GetValue() / 1.0,"$REQ_REQ_Skills_RateFactor_slider")
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_RateFactor.SetValue( 100.0)
        SetSliderOptionValueST(data.REQ_Skills_RateFactor.GetValue() / 1.0, "$REQ_REQ_Skills_RateFactor_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_RateFactor_highlight")
    EndEvent

EndState

State TimeScale

    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.TimeScale.GetValue() / 1.0)
        SetSliderDialogDefaultValue(data.TimeScale.GetValue() / 1.0)
        SetSliderDialogRange(5.0, 30.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.TimeScale.SetValue( value * 1.0 )
        SetSliderOptionValueST(data.TimeScale.GetValue() / 1.0,"$REQ_TimeScale_slider")
    EndEvent

    Event OnDefaultST()
        data.TimeScale.SetValue( 10.0)
        SetSliderOptionValueST(data.TimeScale.GetValue() / 1.0, "$REQ_TimeScale_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_TimeScale_highlight")
    EndEvent

EndState

State iTrainingNumAllowedPerLevel

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingint("iTrainingNumAllowedPerLevel") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingint("iTrainingNumAllowedPerLevel") / 1.0)
        SetSliderDialogRange(0.0, 20.0)
        SetSliderDialogInterval(1.0)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.iTrainingNumAllowedPerLevel = (value * 1.0) as int
        Game.SetGameSettingint("iTrainingNumAllowedPerLevel", data.iTrainingNumAllowedPerLevel)
        SetSliderOptionValueST(Game.GetGameSettingint("iTrainingNumAllowedPerLevel") / 1.0,"$REQ_iTrainingNumAllowedPerLevel_slider")
    EndEvent

    Event OnDefaultST()
        data.iTrainingNumAllowedPerLevel = 5.0 as int
        Game.SetGameSettingint("iTrainingNumAllowedPerLevel", data.iTrainingNumAllowedPerLevel)
        SetSliderOptionValueST(Game.GetGameSettingint("iTrainingNumAllowedPerLevel") / 1.0,"$REQ_iTrainingNumAllowedPerLevel_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_iTrainingNumAllowedPerLevel_highlight")
    EndEvent

EndState

State fDamageWeaponMult

    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGameSettingfloat("fDamageWeaponMult") / 1.0)
        SetSliderDialogDefaultValue(Game.GetGameSettingfloat("fDamageWeaponMult") / 1.0)
        SetSliderDialogRange(0.25, 2.0)
        SetSliderDialogInterval(0.25)
    EndEvent

    Event OnSliderAcceptST(float value)
        data.fDamageWeaponMult = (value * 1.0) as float
        Game.SetGameSettingfloat("fDamageWeaponMult", data.fDamageWeaponMult)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fDamageWeaponMult") / 1.0,"$REQ_fDamageWeaponMult_slider")
    EndEvent

    Event OnDefaultST()
        data.fDamageWeaponMult = 1.0 as float
        Game.SetGameSettingfloat("fDamageWeaponMult", data.fDamageWeaponMult)
        SetSliderOptionValueST(Game.GetGameSettingfloat("fDamageWeaponMult") / 1.0,"$REQ_fDamageWeaponMult_slider")
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_fDamageWeaponMult_highlight")
    EndEvent

EndState

State REQ_Combat_NoParalyticAnimalPoison

    Event OnSelectST()
        data.REQ_Combat_NoParalyticAnimalPoison.SetValueInt((!(data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_NoParalyticAnimalPoison.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoParalyticAnimalPoison_highlight")
    EndEvent

EndState

State REQ_Combat_ArmorCombatSwitch

    Event OnSelectST()
        data.REQ_Combat_ArmorCombatSwitch.SetValueInt((!(data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_ArmorCombatSwitch.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_ArmorCombatSwitch_highlight")
    EndEvent

EndState

State REQ_Debug_ArmorTraining

    Event OnSelectST()
        data.REQ_Debug_ArmorTraining.SetValueInt((!(data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Debug_ArmorTraining.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Debug_ArmorTraining_highlight")
    EndEvent

EndState

State REQ_Compatibility_AttackSpeed

    Event OnSelectST()
        data.REQ_Compatibility_AttackSpeed.SetValueInt((!(data.REQ_Compatibility_AttackSpeed.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Compatibility_AttackSpeed.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Compatibility_AttackSpeed.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Compatibility_AttackSpeed.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Compatibility_AttackSpeed_highlight")
    EndEvent

EndState

State REQ_Combat_BetterArchery

    Event OnSelectST()
        data.REQ_Combat_BetterArchery.SetValueInt((!(data.REQ_Combat_BetterArchery.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_BetterArchery.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_BetterArchery.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_BetterArchery.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_BetterArchery_highlight")
    EndEvent

EndState

State REQ_Magic_NoArmorSpellCostPenalty

    Event OnSelectST()
        data.REQ_Magic_NoArmorSpellCostPenalty.SetValueInt((!(data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Magic_NoArmorSpellCostPenalty.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_NoArmorSpellCostPenalty_highlight")
    EndEvent

EndState

State REQ_Combat_NoDragonFear

    Event OnSelectST()
        data.REQ_Combat_NoDragonFear.SetValueInt((!(data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_NoDragonFear.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoDragonFear_highlight")
    EndEvent

EndState

State REQ_Combat_DualWieldSneakAttacks

    Event OnSelectST()
        data.REQ_Combat_DualWieldSneakAttacks.SetValueInt((!(data.REQ_Combat_DualWieldSneakAttacks.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_DualWieldSneakAttacks.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_DualWieldSneakAttacks.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_DualWieldSneakAttacks.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_DualWieldSneakAttacks_highlight")
    EndEvent

EndState

State REQ_Magic_SoulGemRechargeForAll

    Event OnSelectST()
        data.REQ_Magic_SoulGemRechargeForAll.SetValueInt((!(data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Magic_SoulGemRechargeForAll.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_SoulGemRechargeForAll_highlight")
    EndEvent

EndState

State REQ_Combat_EssentialAgain

    Event OnSelectST()
        data.REQ_Combat_EssentialAgain.SetValueInt((!(data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_EssentialAgain.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_EssentialAgain_highlight")
    EndEvent

EndState

State REQ_Combat_NoExhaustionSlowdown

    Event OnSelectST()
        data.REQ_Combat_NoExhaustionSlowdown.SetValueInt((!(data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_NoExhaustionSlowdown.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoExhaustionSlowdown_highlight")
    EndEvent

EndState

State REQ_Combat_NoOnHitDisarm

    Event OnSelectST()
        data.REQ_Combat_NoOnHitDisarm.SetValueInt((!(data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_NoOnHitDisarm.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoOnHitDisarm_highlight")
    EndEvent

EndState

State REQ_Skills_CrossbowBoltsCraftable

    Event OnSelectST()
        data.REQ_Skills_CrossbowBoltsCraftable.SetValueInt((!(data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_CrossbowBoltsCraftable.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_CrossbowBoltsCraftable_highlight")
    EndEvent

EndState

State REQ_Atmosphere_AllowFastTravel

    Event OnSelectST()
        data.REQ_Atmosphere_AllowFastTravel.SetValueInt((!(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
    Game.EnableFastTravel(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_AllowFastTravel.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
    Game.EnableFastTravel(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_AllowFastTravel_highlight")
    EndEvent

EndState

State REQ_Combat_NoFearAndYield

    Event OnSelectST()
        data.REQ_Combat_NoFearAndYield.SetValueInt((!(data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_NoFearAndYield.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoFearAndYield_highlight")
    EndEvent

EndState

State REQ_Skills_FollowerCarryBonus

    Event OnSelectST()
        data.REQ_Skills_FollowerCarryBonus.SetValueInt((!(data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_FollowerCarryBonus.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_FollowerCarryBonus_highlight")
    EndEvent

EndState

State REQ_Skills_NoHeavyArmorExhaustion

    Event OnSelectST()
        data.REQ_Skills_NoHeavyArmorExhaustion.SetValueInt((!(data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_NoHeavyArmorExhaustion.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_NoHeavyArmorExhaustion_highlight")
    EndEvent

EndState

State REQ_Combat_NoHorseTrample

    Event OnSelectST()
        data.REQ_Combat_NoHorseTrample.SetValueInt((!(data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_NoHorseTrample.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoHorseTrample_highlight")
    EndEvent

EndState

State REQ_Debug_OnHit

    Event OnSelectST()
        data.REQ_Debug_OnHit.SetValueInt((!(data.REQ_Debug_OnHit.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Debug_OnHit.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Debug_OnHit.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Debug_OnHit.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Debug_OnHit_highlight")
    EndEvent

EndState

State REQ_Skills_EasyLockpicking

    Event OnSelectST()
        data.REQ_Skills_EasyLockpicking.SetValueInt((!(data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_EasyLockpicking.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_EasyLockpicking_highlight")
    EndEvent

EndState

State REQ_Atmosphere_MeridiaLikesVampires

    Event OnSelectST()
        data.REQ_Atmosphere_MeridiaLikesVampires.SetValueInt((!(data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_MeridiaLikesVampires.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_MeridiaLikesVampires_highlight")
    EndEvent

EndState

State REQ_Compatibility_RaceWarnOverride

    Event OnSelectST()
        data.REQ_Compatibility_RaceWarnOverride.SetValueInt((!(data.REQ_Compatibility_RaceWarnOverride.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Compatibility_RaceWarnOverride.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Compatibility_RaceWarnOverride.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Compatibility_RaceWarnOverride.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Compatibility_RaceWarnOverride_highlight")
    EndEvent

EndState

State REQ_Atmosphere_NoHomeLock

    Event OnSelectST()
        data.REQ_Atmosphere_NoHomeLock.SetValueInt((!(data.REQ_Atmosphere_NoHomeLock.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_NoHomeLock.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_NoHomeLock.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_NoHomeLock.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_NoHomeLock_highlight")
    EndEvent

EndState

State REQ_Skills_PickpocketEasier

    Event OnSelectST()
        data.REQ_Skills_PickpocketEasier.SetValueInt((!(data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_PickpocketEasier.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_PickpocketEasier_highlight")
    EndEvent

EndState

State REQ_Atmosphere_NoPoisonISM

    Event OnSelectST()
        data.REQ_Atmosphere_NoPoisonISM.SetValueInt((!(data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_NoPoisonISM.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_NoPoisonISM_highlight")
    EndEvent

EndState

State REQ_Skills_NoRacialSkillRate

    Event OnSelectST()
        data.REQ_Skills_NoRacialSkillRate.SetValueInt((!(data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_NoRacialSkillRate.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_NoRacialSkillRate_highlight")
    EndEvent

EndState

State REQ_Skills_HideClutterRecipes

    Event OnSelectST()
        data.REQ_Skills_HideClutterRecipes.SetValueInt((!(data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_HideClutterRecipes.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_HideClutterRecipes_highlight")
    EndEvent

EndState

State REQ_Atmosphere_NoRunningExhaustion

    Event OnSelectST()
        data.REQ_Atmosphere_NoRunningExhaustion.SetValueInt((!(data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_NoRunningExhaustion.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_NoRunningExhaustion_highlight")
    EndEvent

EndState

State REQ_Skills_ShoutExperience

    Event OnSelectST()
        data.REQ_Skills_ShoutExperience.SetValueInt((!(data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_ShoutExperience.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_ShoutExperience_highlight")
    EndEvent

EndState

State REQ_Atmosphere_SlowerHorses

    Event OnSelectST()
        data.REQ_Atmosphere_SlowerHorses.SetValueInt((!(data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_SlowerHorses.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_SlowerHorses_highlight")
    EndEvent

EndState

State REQ_Skills_NoSmithingBooks

    Event OnSelectST()
        data.REQ_Skills_NoSmithingBooks.SetValueInt((!(data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Skills_NoSmithingBooks.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_NoSmithingBooks_highlight")
    EndEvent

EndState

State REQ_Debug_ExhaustionReset

    Event OnSelectST()
        data.REQ_Debug_ExhaustionReset.SetValueInt((!(data.REQ_Debug_ExhaustionReset.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Debug_ExhaustionReset.GetValueInt() as Bool)
    Game.GetPlayer().RemovePerk(data.REQ_MechanicsPerk_Stress_Exhaustion)
    ShowMessage("$REQ_Debug_ExhaustionReset_popup", False)
    While Utility.IsInMenuMode()
        Utility.Wait(1)
    EndWhile
    Game.GetPlayer().AddPerk(data.REQ_MechanicsPerk_Stress_Exhaustion)
	data.REQ_Debug_ExhaustionReset.SetValueInt(0)
    EndEvent

    Event OnDefaultST()
        data.REQ_Debug_ExhaustionReset.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Debug_ExhaustionReset.GetValueInt() as Bool)
    Game.GetPlayer().RemovePerk(data.REQ_MechanicsPerk_Stress_Exhaustion)
    ShowMessage("$REQ_Debug_ExhaustionReset_popup", False)
    While Utility.IsInMenuMode()
        Utility.Wait(1)
    EndWhile
    Game.GetPlayer().AddPerk(data.REQ_MechanicsPerk_Stress_Exhaustion)
    data.REQ_Debug_ExhaustionReset.SetValueInt(0)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Debug_ExhaustionReset_highlight")
    EndEvent

EndState

State REQ_Combat_UnbreakableBows

    Event OnSelectST()
        data.REQ_Combat_UnbreakableBows.SetValueInt((!(data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Combat_UnbreakableBows.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_UnbreakableBows_highlight")
    EndEvent

EndState

State REQ_Atmosphere_VampireRandomCarnage

    Event OnSelectST()
        data.REQ_Atmosphere_VampireRandomCarnage.SetValueInt((!(data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)
    EndEvent

    Event OnDefaultST()
        data.REQ_Atmosphere_VampireRandomCarnage.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_VampireRandomCarnage_highlight")
    EndEvent

EndState


Event OnPageReset(String page)
    UnloadCustomContent()
    If page == ""
        If pages.length > 0
            LoadCustomContent("Requiem\\MCM_background.dds", 56, 23)
        Else
            LoadCustomContent("Requiem\\MCM_background_warning.dds", 56, 23)
        Endif
    ElseIf page == "$REQ_cat_0"
        AddSliderOptionST("fBowNPCSpreadAngle",  "$REQ_fBowNPCSpreadAngle", Game.GetGameSettingfloat("fBowNPCSpreadAngle") / 1.0, "$REQ_fBowNPCSpreadAngle_slider")
        AddSliderOptionST("REQ_Combat_ArrowWeight",  "$REQ_REQ_Combat_ArrowWeight", data.REQ_Combat_ArrowWeight.GetValue() / 1.0, "$REQ_REQ_Combat_ArrowWeight_slider")
        AddSliderOptionST("fPlayerDeathReloadTime",  "$REQ_fPlayerDeathReloadTime", Game.GetGameSettingfloat("fPlayerDeathReloadTime") / 1.0, "$REQ_fPlayerDeathReloadTime_slider")
        AddSliderOptionST("fDiffMultHPByPCL",  "$REQ_fDiffMultHPByPCL", Game.GetGameSettingfloat("fDiffMultHPByPCL") / 0.01, "$REQ_fDiffMultHPByPCL_slider")
        AddSliderOptionST("fDiffMultHPToPCL",  "$REQ_fDiffMultHPToPCL", Game.GetGameSettingfloat("fDiffMultHPToPCL") / 0.01, "$REQ_fDiffMultHPToPCL_slider")
        AddSliderOptionST("fPlayerMaxResistance",  "$REQ_fPlayerMaxResistance", Game.GetGameSettingfloat("fPlayerMaxResistance") / 1.0, "$REQ_fPlayerMaxResistance_slider")
        AddSliderOptionST("fDamageWeaponMult",  "$REQ_fDamageWeaponMult", Game.GetGameSettingfloat("fDamageWeaponMult") / 1.0, "$REQ_fDamageWeaponMult_slider")
        AddToggleOptionST("REQ_Combat_NoParalyticAnimalPoison","$REQ_REQ_Combat_NoParalyticAnimalPoison",data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_ArmorCombatSwitch","$REQ_REQ_Combat_ArmorCombatSwitch",data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_BetterArchery","$REQ_REQ_Combat_BetterArchery",data.REQ_Combat_BetterArchery.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoDragonFear","$REQ_REQ_Combat_NoDragonFear",data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_DualWieldSneakAttacks","$REQ_REQ_Combat_DualWieldSneakAttacks",data.REQ_Combat_DualWieldSneakAttacks.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_EssentialAgain","$REQ_REQ_Combat_EssentialAgain",data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoExhaustionSlowdown","$REQ_REQ_Combat_NoExhaustionSlowdown",data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoOnHitDisarm","$REQ_REQ_Combat_NoOnHitDisarm",data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoFearAndYield","$REQ_REQ_Combat_NoFearAndYield",data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_NoHeavyArmorExhaustion","$REQ_REQ_Skills_NoHeavyArmorExhaustion",data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoHorseTrample","$REQ_REQ_Combat_NoHorseTrample",data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_UnbreakableBows","$REQ_REQ_Combat_UnbreakableBows",data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)
    ElseIf page == "$REQ_cat_1"
        AddSliderOptionST("REQ_Magic_EnchantmentPowerFactor",  "$REQ_REQ_Magic_EnchantmentPowerFactor", data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.0, "$REQ_REQ_Magic_EnchantmentPowerFactor_slider")
        AddSliderOptionST("REQ_Magic_PotionPowerFactor",  "$REQ_REQ_Magic_PotionPowerFactor", data.REQ_Magic_PotionPowerFactor.GetValue() / 1.0, "$REQ_REQ_Magic_PotionPowerFactor_slider")
        AddToggleOptionST("REQ_Magic_NoArmorSpellCostPenalty","$REQ_REQ_Magic_NoArmorSpellCostPenalty",data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Magic_SoulGemRechargeForAll","$REQ_REQ_Magic_SoulGemRechargeForAll",data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)
    ElseIf page == "$REQ_cat_2"
        AddSliderOptionST("iAVDhmsLevelUp",  "$REQ_iAVDhmsLevelUp", Game.GetGameSettingint("iAVDhmsLevelUp") / 1.0, "$REQ_iAVDhmsLevelUp_slider")
        AddSliderOptionST("REQ_Skills_CWModificator",  "$REQ_REQ_Skills_CWModificator", data.REQ_Skills_CWModificator.GetValue() / 1.0, "$REQ_REQ_Skills_CWModificator_slider")
        AddSliderOptionST("fLevelUpCarryWeightMod",  "$REQ_fLevelUpCarryWeightMod", Game.GetGameSettingfloat("fLevelUpCarryWeightMod") / 1.0, "$REQ_fLevelUpCarryWeightMod_slider")
        AddSliderOptionST("fJumpHeightMin",  "$REQ_fJumpHeightMin", Game.GetGameSettingfloat("fJumpHeightMin") / 0.76, "$REQ_fJumpHeightMin_slider")
        AddSliderOptionST("REQ_Skills_RateFactor",  "$REQ_REQ_Skills_RateFactor", data.REQ_Skills_RateFactor.GetValue() / 1.0, "$REQ_REQ_Skills_RateFactor_slider")
        AddSliderOptionST("iTrainingNumAllowedPerLevel",  "$REQ_iTrainingNumAllowedPerLevel", Game.GetGameSettingint("iTrainingNumAllowedPerLevel") / 1.0, "$REQ_iTrainingNumAllowedPerLevel_slider")
        AddToggleOptionST("REQ_Skills_CrossbowBoltsCraftable","$REQ_REQ_Skills_CrossbowBoltsCraftable",data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_FollowerCarryBonus","$REQ_REQ_Skills_FollowerCarryBonus",data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_EasyLockpicking","$REQ_REQ_Skills_EasyLockpicking",data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_PickpocketEasier","$REQ_REQ_Skills_PickpocketEasier",data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_NoRacialSkillRate","$REQ_REQ_Skills_NoRacialSkillRate",data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_HideClutterRecipes","$REQ_REQ_Skills_HideClutterRecipes",data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_ShoutExperience","$REQ_REQ_Skills_ShoutExperience",data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_NoSmithingBooks","$REQ_REQ_Skills_NoSmithingBooks",data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)
    ElseIf page == "$REQ_cat_3"
        AddSliderOptionST("iHoursToRespawnCell",  "$REQ_iHoursToRespawnCell", Game.GetGameSettingint("iHoursToRespawnCell") / 24.0, "$REQ_iHoursToRespawnCell_slider")
        AddSliderOptionST("iHoursToRespawnCellCleared",  "$REQ_iHoursToRespawnCellCleared", Game.GetGameSettingint("iHoursToRespawnCellCleared") / 24.0, "$REQ_iHoursToRespawnCellCleared_slider")
        AddSliderOptionST("WIWaitDragon",  "$REQ_WIWaitDragon", data.WIWaitDragon.GetValue() / 1.0, "$REQ_WIWaitDragon_slider")
        AddSliderOptionST("REQ_Atmosphere_GoldWeight",  "$REQ_REQ_Atmosphere_GoldWeight", data.REQ_Atmosphere_GoldWeight.GetValue() / 1.0, "$REQ_REQ_Atmosphere_GoldWeight_slider")
        AddSliderOptionST("fPlayerHealthHeartbeatSlow",  "$REQ_fPlayerHealthHeartbeatSlow", Game.GetGameSettingfloat("fPlayerHealthHeartbeatSlow") / 0.01, "$REQ_fPlayerHealthHeartbeatSlow_slider")
        AddSliderOptionST("TimeScale",  "$REQ_TimeScale", data.TimeScale.GetValue() / 1.0, "$REQ_TimeScale_slider")
        AddToggleOptionST("REQ_Atmosphere_AllowFastTravel","$REQ_REQ_Atmosphere_AllowFastTravel",data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_MeridiaLikesVampires","$REQ_REQ_Atmosphere_MeridiaLikesVampires",data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_NoHomeLock","$REQ_REQ_Atmosphere_NoHomeLock",data.REQ_Atmosphere_NoHomeLock.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_NoPoisonISM","$REQ_REQ_Atmosphere_NoPoisonISM",data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_NoRunningExhaustion","$REQ_REQ_Atmosphere_NoRunningExhaustion",data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_SlowerHorses","$REQ_REQ_Atmosphere_SlowerHorses",data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_VampireRandomCarnage","$REQ_REQ_Atmosphere_VampireRandomCarnage",data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)
    ElseIf page == "$REQ_cat_4"
        AddToggleOptionST("REQ_Debug_ArmorTraining","$REQ_REQ_Debug_ArmorTraining",data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Compatibility_AttackSpeed","$REQ_REQ_Compatibility_AttackSpeed",data.REQ_Compatibility_AttackSpeed.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Debug_OnHit","$REQ_REQ_Debug_OnHit",data.REQ_Debug_OnHit.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Compatibility_RaceWarnOverride","$REQ_REQ_Compatibility_RaceWarnOverride",data.REQ_Compatibility_RaceWarnOverride.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Debug_ExhaustionReset","$REQ_REQ_Debug_ExhaustionReset",data.REQ_Debug_ExhaustionReset.GetValueInt() as Bool)
    EndIf
EndEvent