Scriptname REQ_MCM_DataStorage extends REQ_PlayerAlias
{A storage script containing all the MCM settings data.}

REQ_MCM Property mcm Auto

float Property fBowNPCSpreadAngle Auto
GlobalVariable Property REQ_Combat_ArrowWeight Auto
WEAPON Property REQ_ArrowWeightDummy_light Auto
WEAPON Property REQ_ArrowWeightDummy_medium Auto
WEAPON Property REQ_ArrowWeightDummy_heavy Auto
WEAPON Property REQ_ArrowWeightDummy_massive Auto
int Property iAVDhmsLevelUp Auto
GlobalVariable Property REQ_Skills_CWModificator Auto
int Property iHoursToRespawnCell Auto
int Property iHoursToRespawnCellCleared Auto
float Property fLevelUpCarryWeightMod Auto
float Property fPlayerDeathReloadTime Auto
float Property fDiffMultHPByPCL Auto
float Property fDiffMultHPToPCL Auto
GlobalVariable Property WIWaitDragon Auto
GlobalVariable Property REQ_Magic_EnchantmentPowerFactor Auto
GlobalVariable Property REQ_Atmosphere_GoldWeight Auto
MiscObject Property Gold001 Auto
float Property fPlayerHealthHeartbeatSlow Auto
float Property fJumpHeightMin Auto
float Property fPlayerMaxResistance Auto
GlobalVariable Property REQ_Magic_PotionPowerFactor Auto
GlobalVariable Property REQ_Skills_RateFactor Auto
GlobalVariable Property TimeScale Auto
int Property iTrainingNumAllowedPerLevel Auto
float Property fDamageWeaponMult Auto
GlobalVariable Property REQ_Combat_NoParalyticAnimalPoison Auto
GlobalVariable Property REQ_Combat_ArmorCombatSwitch Auto
GlobalVariable Property REQ_Debug_ArmorTraining Auto
GlobalVariable Property REQ_Compatibility_AttackSpeed Auto
GlobalVariable Property REQ_Combat_BetterArchery Auto
GlobalVariable Property REQ_Magic_NoArmorSpellCostPenalty Auto
GlobalVariable Property REQ_Combat_NoDragonFear Auto
GlobalVariable Property REQ_Combat_DualWieldSneakAttacks Auto
GlobalVariable Property REQ_Magic_SoulGemRechargeForAll Auto
GlobalVariable Property REQ_Combat_EssentialAgain Auto
GlobalVariable Property REQ_Combat_NoExhaustionSlowdown Auto
GlobalVariable Property REQ_Combat_NoOnHitDisarm Auto
GlobalVariable Property REQ_Skills_CrossbowBoltsCraftable Auto
GlobalVariable Property REQ_Atmosphere_AllowFastTravel Auto
GlobalVariable Property REQ_Combat_NoFearAndYield Auto
GlobalVariable Property REQ_Skills_FollowerCarryBonus Auto
GlobalVariable Property REQ_Skills_NoHeavyArmorExhaustion Auto
GlobalVariable Property REQ_Combat_NoHorseTrample Auto
GlobalVariable Property REQ_Debug_OnHit Auto
GlobalVariable Property REQ_Skills_EasyLockpicking Auto
GlobalVariable Property REQ_Atmosphere_MeridiaLikesVampires Auto
GlobalVariable Property REQ_Compatibility_RaceWarnOverride Auto
GlobalVariable Property REQ_Atmosphere_NoHomeLock Auto
GlobalVariable Property REQ_Skills_PickpocketEasier Auto
GlobalVariable Property REQ_Atmosphere_NoPoisonISM Auto
GlobalVariable Property REQ_Skills_NoRacialSkillRate Auto
GlobalVariable Property REQ_Skills_HideClutterRecipes Auto
GlobalVariable Property REQ_Atmosphere_NoRunningExhaustion Auto
GlobalVariable Property REQ_Skills_ShoutExperience Auto
GlobalVariable Property REQ_Atmosphere_SlowerHorses Auto
GlobalVariable Property REQ_Skills_NoSmithingBooks Auto
GlobalVariable Property REQ_Debug_ExhaustionReset Auto
Perk Property REQ_MechanicsPerk_Stress_Exhaustion Auto
GlobalVariable Property REQ_Combat_UnbreakableBows Auto
GlobalVariable Property REQ_Atmosphere_VampireRandomCarnage Auto

Event ScriptInit(string eventName, string strArg, float numArg, Form sender)
    String[] pages = new String[5]
    pages[0] = "$REQ_cat_0"
    pages[1] = "$REQ_cat_1"
    pages[2] = "$REQ_cat_2"
    pages[3] = "$REQ_cat_3"
    pages[4] = "$REQ_cat_4"
    mcm.pages = pages
    mcm.modname = "$REQ_modname"
    LoadInitValues()
    REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
    Int index = UpdateControl.Scripts.find(self)
    UpdateControl.ShutdownReady[index] = False
EndEvent

Event ScriptShutDown(string eventName, string strArg, float numArg, Form sender)
    UpdateValues()
    REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
    Int index = UpdateControl.Scripts.find(self)
    UpdateControl.ShutdownReady[index] = True
EndEvent

Event OnPlayerLoadGame()
    UpdateValues()
EndEvent

Function UpdateValues()
    REQ_MCM_DataStorage data = self
Game.SetGameSettingfloat("fBowNPCSpreadAngle", data.fBowNPCSpreadAngle)
    data.REQ_ArrowWeightDummy_light.SetWeight(0.1 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_medium.SetWeight(0.2 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_heavy.SetWeight(0.3 * data.REQ_Combat_ArrowWeight.GetValue())
    data.REQ_ArrowWeightDummy_massive.SetWeight(0.5 * data.REQ_Combat_ArrowWeight.GetValue())
Game.SetGameSettingint("iAVDhmsLevelUp", data.iAVDhmsLevelUp)
Game.SetGameSettingint("iHoursToRespawnCell", data.iHoursToRespawnCell)
Game.SetGameSettingint("iHoursToRespawnCellCleared", data.iHoursToRespawnCellCleared)
Game.SetGameSettingfloat("fLevelUpCarryWeightMod", data.fLevelUpCarryWeightMod)
Game.SetGameSettingfloat("fPlayerDeathReloadTime", data.fPlayerDeathReloadTime)
Game.SetGameSettingfloat("fDiffMultHPByPCL", data.fDiffMultHPByPCL)
    Game.SetGameSettingFloat("fDiffMultHPByPCVE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCN", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    Game.SetGameSettingFloat("fDiffMultHPByPCVH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
Game.SetGameSettingfloat("fDiffMultHPToPCL", data.fDiffMultHPToPCL)
    Game.SetGameSettingFloat("fDiffMultHPToPCVE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCN", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    Game.SetGameSettingFloat("fDiffMultHPToPCVH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    data.Gold001.SetWeight(data.REQ_Atmosphere_GoldWeight.GetValue())
Game.SetGameSettingfloat("fPlayerHealthHeartbeatSlow", data.fPlayerHealthHeartbeatSlow)
    Game.SetGameSettingFloat("fPlayerHealthHeartbeatFast",Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow") / 2.0)
Game.SetGameSettingfloat("fJumpHeightMin", data.fJumpHeightMin)
Game.SetGameSettingfloat("fPlayerMaxResistance", data.fPlayerMaxResistance)
Game.SetGameSettingint("iTrainingNumAllowedPerLevel", data.iTrainingNumAllowedPerLevel)
Game.SetGameSettingfloat("fDamageWeaponMult", data.fDamageWeaponMult)
    Game.EnableFastTravel(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
EndFunction

Function LoadInitValues()
    REQ_MCM_DataStorage data = self
data.fBowNPCSpreadAngle = Game.GetGameSettingfloat("fBowNPCSpreadAngle")
data.iAVDhmsLevelUp = Game.GetGameSettingint("iAVDhmsLevelUp")
data.iHoursToRespawnCell = Game.GetGameSettingint("iHoursToRespawnCell")
data.iHoursToRespawnCellCleared = Game.GetGameSettingint("iHoursToRespawnCellCleared")
data.fLevelUpCarryWeightMod = Game.GetGameSettingfloat("fLevelUpCarryWeightMod")
data.fPlayerDeathReloadTime = Game.GetGameSettingfloat("fPlayerDeathReloadTime")
data.fDiffMultHPByPCL = Game.GetGameSettingfloat("fDiffMultHPByPCL")
data.fDiffMultHPToPCL = Game.GetGameSettingfloat("fDiffMultHPToPCL")
data.fPlayerHealthHeartbeatSlow = Game.GetGameSettingfloat("fPlayerHealthHeartbeatSlow")
data.fJumpHeightMin = Game.GetGameSettingfloat("fJumpHeightMin")
data.fPlayerMaxResistance = Game.GetGameSettingfloat("fPlayerMaxResistance")
data.iTrainingNumAllowedPerLevel = Game.GetGameSettingint("iTrainingNumAllowedPerLevel")
data.fDamageWeaponMult = Game.GetGameSettingfloat("fDamageWeaponMult")
EndFunction
