scriptname REQ_MCM_Skills extends SKI_ConfigBase

REQ_AttributeSystem Property data Auto
Actor Property Player Auto

Event OnPageReset(String page)
	Int Flag = OPTION_FLAG_NONE
	Int index = -1
	Float value
	Int floored
	UnloadCustomContent()
    If page == ""
        If pages.length > 0
            LoadCustomContent("Requiem\\MCM_skills_background.dds", 56, 23)
        Else
            LoadCustomContent("Requiem\\MCM_background_warning.dds", 56, 23)
        Endif
	ElseIf page == "$REQ_cat_skill0" ;resistance etc overview
		SetTitleText("$REQ_cat_skill0_header")
		SetCursorFillMode(TOP_TO_BOTTOM)
		
;resistances
		SetCursorPosition(0)
		AddHeaderOption("$REQ_overviewheader_0")
		AddTextOptionST("DiseaseResist", "$REQ_DiseaseResist", player.getAV("DiseaseResist") as Int + "%")
		AddTextOptionST("PoisonResist", "$REQ_PoisonResist", player.getAV("PoisonResist") as Int + "%")
		AddTextOptionST("MagicResist", "$REQ_MagicResist", player.getAV("MagicResist") as Int + "%")
		AddTextOptionST("FireResist", "$REQ_FireResist", player.getAV("FireResist") as Int + "%")
		AddTextOptionST("FrostResist", "$REQ_FrostResist", player.getAV("FrostResist") as Int + "%")
		AddTextOptionST("ElectricResist", "$REQ_ElectricResist", player.getAV("ElectricResist") as Int + "%")

;regeneration rates		
		SetCursorPosition(1)
		AddHeaderOption("$REQ_overviewheader_1")
		value = player.getAV("HealRate") * player.getAV("HealRateMult") / 100
		floored = Math.floor(value)
		value = (value - floored) * 10
		AddTextOptionST("HealRate", "$REQ_HealRateMult", floored + "." + value as Int + "%/sec")
		value = player.getAV("MagickaRate") * player.getAV("MagickaRateMult") / 100
		floored = Math.floor(value)
		value = (value - floored) * 10
		AddTextOptionST("MagickaRate", "$REQ_MagickaRateMult", floored + "." + value as Int + "%/sec")
		value = player.getAV("StaminaRate") * player.getAV("StaminaRateMult") / 100
		floored = Math.floor(value)
		value = (value - floored) * 10
		AddTextOptionST("StaminaRate", "$REQ_StaminaRateMult", floored + "." + value as Int + "%/sec")
		
;movement
		AddHeaderOption("$REQ_overviewheader_2")
		AddTextOptionST("SpeedMult", "$REQ_SpeedMult", player.getAV("SpeedMult") as Int + "%")
		value = player.getAV("MovementNoiseMult") * 100
		If value < 0.0
			value = 0.0
		EndIf
		AddTextOptionST("MovementNoiseMult", "$REQ_MovementNoiseMult", value as Int + "%")
		
    ElseIf page == "$REQ_cat_skill1" ;derived stats bonuses
		SetTitleText("$REQ_cat_skill1_header")
		SetCursorFillMode(TOP_TO_BOTTOM)
		
		SetCursorPosition(0)
		AddHeaderOption("$REQ_skillheader_0")
		index = data.derived.find("DiseaseResist")
		AddTextOptionST("DiseaseResist_bonus", "$REQ_DiseaseResist", "+" + data.Mods_display[index] as Int + "%")
		index = data.derived.find("PoisonResist")
		AddTextOptionST("PoisonResist_bonus", "$REQ_PoisonResist", "+" + data.Mods_display[index] as Int + "%")
		index = data.derived.find("MagicResist")
		AddTextOptionST("MagicResist_bonus", "$REQ_MagicResist", "+" + data.Mods_display[index] as Int + "%")
		
		AddHeaderOption("$REQ_skillheader_1")
		index = data.derived.find("MagickaRateMult")
		AddTextOptionST("MagickaRateMult_bonus", "$REQ_MagickaRateMult", "+" + data.Mods_display[index] as Int + "%")
		index = data.derived.find("StaminaRateMult")
		AddTextOptionST("StaminaRateMult_bonus", "$REQ_StaminaRateMult", "+" + data.Mods_display[index] as Int + "%")
		index = data.derived.find("CarryWeight")
		AddTextOptionST("CarryWeight", "$REQ_CarryWeight", "+" + data.Mods_display[index] as Int )
		index = data.derived.find("SpeedMult")
		AddTextOptionST("SpeedMult_bonus", "$REQ_SpeedMult", "+" + data.Mods_display[index] as Int + "%")
		
		SetCursorPosition(1)
		AddHeaderOption("$REQ_skillheader_2")
		index = data.derived.find("UnarmedDamage")
		AddTextOptionST("UnarmedDamage", "$REQ_UnarmedDamage", "+" + data.Mods_display[index] as Int)
		index = data.derived.find("OneHandedMod")
		AddTextOptionST("OneHandedMod", "$REQ_OneHandedMod", "+" + data.Mods_display[index] as Int + "%")
		index = data.derived.find("TwoHandedMod")
		AddTextOptionST("TwoHandedMod", "$REQ_TwoHandedMod", "+" + data.Mods_display[index] as Int + "%")
		index = data.derived.find("AttackDamageMult")
		AddTextOptionST("AttackDamageMult", "$REQ_AttackDamageMult", "+" + (100*data.Mods_display[index]) as Int + "%")
		
		AddHeaderOption("$REQ_skillheader_3")
		AddTextOptionST("WordsLearned", "$REQ_WordsLearned", "+" + (data.Mods_Shout[2]/1.5*100) as Int + "%")
		AddTextOptionST("WordsUnlocked", "$REQ_WordsUnlocked", "+" + (data.Mods_Shout[3]/1.5*100) as Int + "%")
		AddTextOptionST("TimesShouted", "$REQ_TimesShouted", "+" + (data.Mods_Shout[1]/1.5*100) as Int + "%")
    EndIf
EndEvent


;stats overview menu highlights

;resistances
State DiseaseResist
	Event OnHighlightST()
        SetInfoText("$REQ_DiseaseResist_highlight")
    EndEvent
EndState
State PoisonResist
	Event OnHighlightST()
        SetInfoText("$REQ_PoisonResist_highlight")
    EndEvent
EndState
State MagicResist
	Event OnHighlightST()
        SetInfoText("$REQ_MagicResist_highlight")
    EndEvent
EndState
State FireResist
	Event OnHighlightST()
        SetInfoText("$REQ_FireResist_highlight")
    EndEvent
EndState
State FrostResist
	Event OnHighlightST()
        SetInfoText("$REQ_FrostResist_highlight")
    EndEvent
EndState
State ElectricResist
	Event OnHighlightST()
        SetInfoText("$REQ_ElectricResist_highlight")
    EndEvent
EndState

;regeneration rates
State HealRate
	Event OnHighlightST()
        SetInfoText("$REQ_HealRateMult_highlight")
    EndEvent
EndState
State MagickaRate
	Event OnHighlightST()
        SetInfoText("$REQ_MagickaRateMult_highlight")
    EndEvent
EndState
State StaminaRate
	Event OnHighlightST()
        SetInfoText("$REQ_StaminaRateMult_highlight")
    EndEvent
EndState

;movement related stuff
State SpeedMult
	Event OnHighlightST()
        SetInfoText("$REQ_SpeedMult_highlight")
    EndEvent
EndState
State MovementNoiseMult
	Event OnHighlightST()
        SetInfoText("$REQ_MovementNoiseMult_highlight")
    EndEvent
EndState








;derived stats menu highlights

;resistances
State DiseaseResist_bonus
	Event OnHighlightST()
        SetInfoText("$REQ_DiseaseResist_bonus_highlight")
    EndEvent
EndState
State PoisonResist_bonus
	Event OnHighlightST()
        SetInfoText("$REQ_PoisonResist_bonus_highlight")
    EndEvent
EndState
State MagicResist_bonus
	Event OnHighlightST()
        SetInfoText("$REQ_MagicResist_bonus_highlight")
    EndEvent
EndState

;regeneration and conditioning
State MagickaRateMult_bonus
	Event OnHighlightST()
        SetInfoText("$REQ_MagickaRateMult_bonus_highlight")
    EndEvent
EndState
State StaminaRateMult_bonus
	Event OnHighlightST()
        SetInfoText("$REQ_StaminaRateMult_bonus_highlight")
    EndEvent
EndState
State CarryWeight
	Event OnHighlightST()
        SetInfoText("$REQ_CarryWeight_highlight")
    EndEvent
EndState
State SpeedMult_bonus
	Event OnHighlightST()
        SetInfoText("$REQ_SpeedMult_bonus_highlight")
    EndEvent
EndState

;damage
State UnarmedDamage
	Event OnHighlightST()
        SetInfoText("$REQ_UnarmedDamage_highlight")
    EndEvent
EndState
State OneHandedMod
	Event OnHighlightST()
        SetInfoText("$REQ_OneHandedMod_highlight")
    EndEvent
EndState
State TwoHandedMod
	Event OnHighlightST()
        SetInfoText("$REQ_TwoHandedMod_highlight")
    EndEvent
EndState
State AttackDamageMult
	Event OnHighlightST()
        SetInfoText("$REQ_AttackDamageMult_highlight")
    EndEvent
EndState

;shouts
State WordsLearned
	Event OnHighlightST()
        SetInfoText("$REQ_WordsLearned_highlight")
    EndEvent
EndState
State WordsUnlocked
	Event OnHighlightST()
        SetInfoText("$REQ_WordsUnlocked_highlight")
    EndEvent
EndState
State TimesShouted
	Event OnHighlightST()
        SetInfoText("$REQ_TimesShouted_highlight")
    EndEvent
EndState
