Scriptname AA000XarrianAutoUpdate extends ReferenceAlias
{auto-update routine for scripts attached to the player via quest alias}

Bool[] Property ShutdownReady Auto
{status of the individual scripts, should initially contain only True}
AA000XarrianPlayerAlias[] Property Scripts Auto
{a list of all aliases/scripts managed by this Update-Manager}

GlobalVariable Property Version Auto
GlobalVariable Property VersionInstalled Auto
Message Property BeginUpdate Auto
Message Property FinishUpdate Auto
Bool Shutdown = False

Event OnInit()
	InitScripts()
EndEvent

Function InitScripts()
	Int count = 0
	While (count < Scripts.Length)
		Scripts[count].ScriptInit(count, Self)
		count += 1
	EndWhile
	Self.GotoState("Initialization")
	RegisterForSingleUpdate(1)
EndFunction

Event OnPlayerLoadGame()
	Int count = 0
	If ( Version.GetValue() > VersionInstalled.GetValue() )
		While (count < Scripts.Length)
			Scripts[count].ScriptShutDown(count, Self)
			count += 1
		EndWhile
		Self.GotoState("ShutDown")
		RegisterForSingleUpdate(1)
		BeginUpdate.Show()
	EndIf
EndEvent

State Shutdown

	Event OnUpdate()
		If ( ShutdownReady.find(False) >= 0 )
			RegisterForSingleUpdate(1)
		Else
			(GetOwningQuest() as AA000XarrianUpdateManager).Restart()
			Self.GotoState("")
		EndIf
	EndEvent
	
EndState

State Initialization

	Event OnUpdate()
		If ( ShutdownReady.find(True) >= 0 )
			RegisterForSingleUpdate(1)
		Else
			VersionInstalled.SetValue(Version.GetValue())
			FinishUpdate.Show()
			Self.GotoState("")
		EndIf
	EndEvent
	
EndState
